serveur.Log.SingleLevelFilter(3)

NAME
serveur.Log.SingleLevelFilter - Filter for one level.

SYNOPSIS

Inherits Filter.

  Public Member Functions
def __init__ (self, passlevel, reject)
Constructor.
def filter (self, record)

  Data Fields
passlevel
reject

Detailed Description

Filter for one level.

Constructor & Destructor Documentation

  def serveur.Log.SingleLevelFilter.__init__ ( self, passlevel, reject)

Constructor.

Parameters:
    passlevel level to filter
    reject true on reject state

Member Function Documentation

  def serveur.Log.SingleLevelFilter.filter ( self, record)

Field Documentation

  serveur.Log.SingleLevelFilter.passlevel

  serveur.Log.SingleLevelFilter.reject

Author

Generated automatically by Doxygen for Server DNC from the source code.